Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » insufficient access privileges to apply this update, Pt. 2(annoying bug?)
insufficient access privileges to apply this update, Pt. 2 [message #1734535] Thu, 09 June 2016 09:19 Go to next message
Oliver Meier is currently offline Oliver MeierFriend
Messages: 3
Registered: June 2016
Junior Member
Hi

(This thread has nothing to do with the old [message #953558] and I won't run eclipse as administrator or root to fix this!)

I can't upgrade eclipse to mars.2 because the update dialogue tells me I don't have sufficient access privileges.

My eclipse is just the archive downloaded and extracted in my home directory, so I don't think it should have problems with permissions there. Doing 'chown -R user:user' eclipse' didn't change anything.

Is there a way to find out for which files eclipse has insufficient access privileges?

Thanks!
H2OBrain
Re: insufficient access privileges to apply this update, Pt. 2 [message #1734589 is a reply to message #1734535] Thu, 09 June 2016 15:09 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3413
Registered: July 2009
Senior Member

How are you launching Eclipse? Do you also have a distribution's packaged version of Eclipse installed?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: insufficient access privileges to apply this update, Pt. 2 [message #1734599 is a reply to message #1734535] Thu, 09 June 2016 18:22 Go to previous message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 485
Registered: August 2014
Senior Member
Discard the installation and install Eclipse Installer instead. You can then use it to install a working version of Eclipse.

If you have plenty of optional modules installed, you can export the installation details into a p2f file, which can be used to load the optional modules back.

So the steps are:
1. export installation into a p2f
2. discard the installed Eclipse
3. install Eclipse installer
4. use the installer to install the new Eclipse. If you have several targets, e.g. Java and C/C++, you can pick either for initial installation.
5. import the p2f file and let it install the remaining options.




--

Tauno Voipio
Previous Topic:Error: terminated javaw.exe
Next Topic:Blaze Advisor 7.3 and SVN
Goto Forum:
  


Current Time: Sun Jun 16 23:29:09 GMT 2019

Powered by FUDForum. Page generated in 0.03628 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top